#!perl -T

use strict;
use warnings;
use Test::More;
use Oceano::Seawater;

my ($S1,$T1,$P1) = (35.0, 30.0, 0.0);
my ($S2,$T2,$P2) = (34.67, 2.48, 10035.0);
my ($S3,$T3,$P3,$C3) = (35.1554, 26.9900 * 1.00024, 27.000, 5.538891);
#my ($S3,$T3,$P3,$C3) = (35.1510, 26.9929 * 1.00024, 27.000, 5.538573);
#my ($S3,$T3,$P3,$C3) = (35.7918, 18.1986 * 1.00024, 71.000, 4.705818);
my $lat = 4;

# jeu de test : %(nom_test => [obtenu , prevu])
my %test = (
  # test 1
  'Density 1'               => [sprintf("%.3f",&sw_dens($S1,$T1,$P1)), '1021.729'],
  'Sigma-t 1'               => [sprintf("%.3f",&sw_sigmat($S1,$T1,$P1)), '21.729'],
  'Sigma teta 1'            => [sprintf("%.3f",&sw_sigmateta($S1,$T1,$P1)), '21.729'],
  'Sndvel 1'                => [sprintf("%.3f",&sw_svel($S1,$T1,$P1)), '1545.595'],
  'Potential temp 1'        => [sprintf("%.3f",&sw_ptmp($S1,$T1,$P1,0)), '30.000'],
  'Specific vol anomaly 1'  => [sprintf("%.3e",&sw_svan($S1,$T1,$P1)), '6.071e-06'],
  'Prof 1'                  => [sprintf("%.3f",&sw_dpth($P1,$lat)), '0.000'],
  # test 2
  'Density 2'               => [sprintf("%.3f",&sw_dens($S2,$T2,$P2)), '1070.136'],
  'Sigma-t 2'               => [sprintf("%.3f",&sw_sigmat($S2,$T2,$P2)), '27.668'],
  'Sigma teta 2'            => [sprintf("%.3f",&sw_sigmateta($S2,$T2,$P2)), '27.764'],
  'Sndvel 2'                => [sprintf("%.3f",&sw_svel($S2,$T2,$P2)), '1633.179'],
  'Potential temp 2'        => [sprintf("%.3f",&sw_ptmp($S2,$T2,$P2,0)), '1.242'],
  'Specific vol anomaly 2'  => [sprintf("%.3e",&sw_svan($S2,$T2,$P2)), '8.352e-07'],
  'Prof 2'                  => [sprintf("%.3f",&sw_dpth($P2,$lat)), '9758.558'],
  # test 3
  'Salinity 3'              => [sprintf("%.4f",&sw_sal($C3,$T3,$P3)), $S3],
);

# nombre de tests prevus
plan tests => scalar keys %test;


# tests
while (my($nom,$val) = each %test) {
  ok($val->[0] == $val->[1], $nom);
}

